Main Page Class Hierarchy Data Structures File List Data Fields Globals

# CPVCmnAsyncEvent Class Reference

`#include <pv_common_types.h>`

Inheritance diagram for CPVCmnAsyncEvent:

## Public Methods
| CPVCmnAsyncEvent (TPVCmnEventType aEventType, TPVCmnExclusivePtr aExclusivePtr, const uint8 *aLocalBuffer=NULL, uint32 aLocalBufSize=0, TPVCmnResponseType aResponseType=NULL)
| ~CPVCmnAsyncEvent ()
TPVCmnEventType | GetEventType () const
void | GetEventData (TPVCmnExclusivePtr &aPtr) const
uint8 * | GetLocalBuffer ()
## Protected Attributes
TPVCmnEventType | iEventType
TPVCmnExclusivePtr | iExclusivePtr
uint8 | iLocalBuffer [PV_COMMON_ASYNC_EVENT_LOCAL_BUF_SIZE]

## Detailed Description

CPVCmnAsyncEvent Class

CPVCmnAsyncEvent is the base class used to pass unsolicited error and informational indications to the user. Additional information can be tagged based on the specific event

## Constructor & Destructor Documentation

CPVCmnAsyncEvent::CPVCmnAsyncEvent | ( | TPVCmnEventType | aEventType,
|  | TPVCmnExclusivePtr | aExclusivePtr,
|  | const uint8 * | aLocalBuffer = NULL,
|  | uint32 | aLocalBufSize = 0,
|  | TPVCmnResponseType | aResponseType = NULL
| ) | `[inline]`

CPVCmnAsyncEvent::~CPVCmnAsyncEvent | ( |  | ) | `[inline]`

## Member Function Documentation

void CPVCmnAsyncEvent::GetEventData | ( | TPVCmnExclusivePtr & | aPtr | ) | const`[inline]`

| Returns: Returns the opaque data asociated with the event.

TPVCmnEventType CPVCmnAsyncEvent::GetEventType | ( |  | ) | const`[inline]`

| Returns: Returns the Event type that has been received

uint8* CPVCmnAsyncEvent::GetLocalBuffer | ( |  | ) | `[inline]`

| Returns: Returns the local data asociated with the event.

## Field Documentation

TPVCmnEventType CPVCmnAsyncEvent::iEventType`[protected]`

TPVCmnExclusivePtr CPVCmnAsyncEvent::iExclusivePtr`[protected]`

uint8 CPVCmnAsyncEvent::iLocalBuffer[PV_COMMON_ASYNC_EVENT_LOCAL_BUF_SIZE]`[protected]`

The documentation for this class was generated from the following file:

- pv_common_types.h